Skip to main content
PUT
/
public
/
v1
/
customer-credits
/
{record_number}
/
Update CustomerCredit record
curl --request PUT \
  --url https://api.dualentry.com/public/v1/customer-credits/{record_number}/ \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "date": "2023-12-25",
  "company_id": 123,
  "exchange_rate": 123,
  "bill_to_address": "",
  "ship_to_address": "",
  "billing_address": {
    "street": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "state": "",
    "country": "",
    "second_line": "",
    "name": "<string>"
  },
  "shipping_address": {
    "street": "<string>",
    "city": "<string>",
    "postal_code": "<string>",
    "state": "",
    "country": "",
    "second_line": "",
    "name": "<string>"
  },
  "custom_fields": [
    {}
  ],
  "transaction_date": "2023-12-25",
  "invoice_number": 123,
  "cash_sale_number": 123,
  "customer_id": 123,
  "memo": "",
  "items": [],
  "attachments": [],
  "record_status": "posted",
  "contract_id": 123
}
'
import requests

url = "https://api.dualentry.com/public/v1/customer-credits/{record_number}/"

payload = {
"date": "2023-12-25",
"company_id": 123,
"exchange_rate": 123,
"bill_to_address": "",
"ship_to_address": "",
"billing_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"shipping_address": {
"street": "<string>",
"city": "<string>",
"postal_code": "<string>",
"state": "",
"country": "",
"second_line": "",
"name": "<string>"
},
"custom_fields": [{}],
"transaction_date": "2023-12-25",
"invoice_number": 123,
"cash_sale_number": 123,
"customer_id": 123,
"memo": "",
"items": [],
"attachments": [],
"record_status": "posted",
"contract_id": 123
}
headers = {
"X-API-KEY": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-API-KEY': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({
date: '2023-12-25',
company_id: 123,
exchange_rate: 123,
bill_to_address: '',
ship_to_address: '',
billing_address: {
street: '<string>',
city: '<string>',
postal_code: '<string>',
state: '',
country: '',
second_line: '',
name: '<string>'
},
shipping_address: {
street: '<string>',
city: '<string>',
postal_code: '<string>',
state: '',
country: '',
second_line: '',
name: '<string>'
},
custom_fields: [{}],
transaction_date: '2023-12-25',
invoice_number: 123,
cash_sale_number: 123,
customer_id: 123,
memo: '',
items: [],
attachments: [],
record_status: 'posted',
contract_id: 123
})
};

fetch('https://api.dualentry.com/public/v1/customer-credits/{record_number}/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "bill_to_address": "<string>",
  "ship_to_address": "<string>",
  "transaction_ids": [
    123
  ],
  "internal_id": 123,
  "number": 123,
  "invoice_number": 123,
  "cash_sale_number": 123,
  "date": "2023-12-25",
  "transaction_date": "2023-12-25",
  "company_id": 123,
  "company_name": "<string>",
  "company_currency": "<string>",
  "exchange_rate": "<string>",
  "amount": "<string>",
  "used_amount": "<string>",
  "remaining_amount": "<string>",
  "memo": "<string>",
  "items": [
    {
      "item_id": 123,
      "quantity": "<string>",
      "rate": "<string>",
      "position": 123,
      "memo": "<string>",
      "net_amount": "<string>",
      "tax_amount": "<string>",
      "gross_amount": "<string>",
      "amount": "<string>",
      "classifications": [],
      "item_type": "<string>",
      "hsn_sac_code": "<string>",
      "tax": {
        "code": "<string>",
        "rate": "<string>",
        "amount": "<string>",
        "is_taxable": true,
        "tax_exempt_amount": "<string>",
        "vat_rate_id": 123,
        "gst_tax_rate_id": 123,
        "tax_components": [
          {
            "rate": "<string>",
            "amount": "<string>",
            "position": 123,
            "region": "<string>"
          }
        ],
        "amount_with_tax": "<string>",
        "rate_name": "<string>",
        "rate_type": "<string>",
        "tax_treatment": "<string>"
      }
    }
  ],
  "created_at": "2023-11-07T05:31:56Z",
  "updated_at": "2023-11-07T05:31:56Z",
  "billing_address": {
    "street": "<string>",
    "second_line": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>",
    "name": "<string>"
  },
  "shipping_address": {
    "street": "<string>",
    "second_line": "<string>",
    "city": "<string>",
    "state": "<string>",
    "postal_code": "<string>",
    "country": "<string>",
    "name": "<string>"
  },
  "customer_id": 123,
  "customer_name": "<string>",
  "attachments": [],
  "custom_fields": [],
  "integration_remote_records": [],
  "created_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "updated_by": {
    "actor_type": "<string>",
    "email": "<string>",
    "first_name": "<string>",
    "last_name": "<string>",
    "timestamp": "2023-11-07T05:31:56Z"
  },
  "contract_id": 123,
  "contracted": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}
{
"errors": {},
"success": false
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

record_number
integer
required

The number attribute of the record.

Body

application/json

Input schema for updating Customer Credit records.

date
string<date>
required
company_id
integer
required
currency_iso_4217_code
enum<string>
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
required
bill_to_address
string | null
default:""
deprecated

Deprecated: send the structured billing_address / shipping_address instead.

ship_to_address
string | null
default:""
deprecated

Deprecated: send the structured billing_address / shipping_address instead.

billing_address
AddressSchemaIn · object | null
shipping_address
AddressSchemaIn · object | null
custom_fields
Custom Fields · object[] | null
transaction_date
string<date> | null
invoice_number
integer | null
cash_sale_number
integer | null
customer_id
integer | null
memo
string
default:""
items
PublicCustomerCreditItemIn · object[]
attachments
AttachmentSchemaOut · object[]
record_status
enum<string>
default:posted
Available options:
draft,
posted,
archived
contract_id
integer | null

Response

OK

bill_to_address
string
required
deprecated

Deprecated: send the structured billing_address / shipping_address instead.

ship_to_address
string
required
deprecated

Deprecated: send the structured billing_address / shipping_address instead.

transaction_ids
integer[]
required
internal_id
integer
required
number
integer
required
invoice_number
integer | null
required
cash_sale_number
integer | null
required
date
string<date>
required

Posting date (GL date) - the date when the transaction is recorded in the general ledger

transaction_date
string<date>
required

Transaction date (inception date) - the date when the transaction actually occurred

company_id
integer
required
company_name
string
required
company_currency
string
required
currency_iso_4217_code
enum<string> | null
required
Available options:
AED,
AFN,
ALL,
AMD,
ANG,
AOA,
ARS,
AUD,
AWG,
AZN,
BAM,
BBD,
BDT,
BGN,
BHD,
BIF,
BMD,
BND,
BOB,
BRL,
BSD,
BTN,
BWP,
BYN,
BZD,
CAD,
CDF,
CHF,
CLF,
CLP,
CNY,
COP,
CRC,
CUP,
CVE,
CZK,
DJF,
DKK,
DOP,
DZD,
EGP,
ERN,
ETB,
EUR,
FJD,
FKP,
GBP,
GEL,
GHS,
GIP,
GMD,
GNF,
GTQ,
GYD,
HKD,
HNL,
HTG,
HUF,
IDR,
ILS,
INR,
IQD,
IRR,
ISK,
JMD,
JOD,
JPY,
KES,
KGS,
KHR,
KMF,
KPW,
KRW,
KWD,
KYD,
KZT,
LAK,
LBP,
LKR,
LRD,
LSL,
LYD,
MAD,
MDL,
MGA,
MKD,
MMK,
MNT,
MOP,
MRU,
MUR,
MVR,
MWK,
MXN,
MYR,
MZN,
NAD,
NGN,
NIO,
NOK,
NPR,
NZD,
OMR,
PAB,
PEN,
PGK,
PHP,
PKR,
PLN,
PYG,
QAR,
RON,
RSD,
RUB,
RWF,
SAR,
SBD,
SCR,
SDG,
SEK,
SGD,
SHP,
SLL,
SOS,
SRD,
STN,
SVC,
SYP,
SZL,
THB,
TJS,
TMT,
TND,
TOP,
TRY,
TTD,
TWD,
TZS,
UAH,
UGX,
USD,
UYU,
UZS,
VES,
VND,
VUV,
WST,
XAF,
XAG,
XAU,
XCD,
XDR,
XOF,
XPD,
XPF,
XPT,
YER,
ZAR,
ZMW,
ZWL
exchange_rate
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,16}0*$
amount
string
required

Total transaction amount

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
used_amount
string
required

Amount that was already applied to Invoices through Customer Refunds or Customer Prepayment Applications

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
remaining_amount
string
required

Amount that can be applied to Invoices through Customer Refunds or Customer Prepayment Applications

Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d{0,2}0*$
memo
string
required
items
PublicCustomerCreditItemOut · object[]
required
record_status
enum<string>
required
Available options:
draft,
posted,
archived
created_at
string<date-time>
required

Date and time the record was created

updated_at
string<date-time>
required

Date and time the record was last updated

billing_address
AddressSchemaOut · object | null
shipping_address
AddressSchemaOut · object | null
customer_id
integer | null
customer_name
string | null
attachments
PublicAttachmentSchemaOut · object[]
custom_fields
CustomFieldValuePairOutputSchema · object[]
integration_remote_records
IntegrationRemoteRecordSchemaOut · object[]
created_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

updated_by
AuditActorSchemaOut · object | null

Schema for audit actor information.

contract_id
integer | null
contracted
boolean
default:false
Last modified on July 13, 2026